package es.verdnatura.di

import es.verdnatura.presentation.view.feature.ajustes.fragment.AjustesViewModel
import es.verdnatura.presentation.view.feature.articulo.fragment.ItemCardViewModel
import es.verdnatura.presentation.view.feature.login.fragment.LoginViewModel
import es.verdnatura.presentation.view.feature.pasillero.fragment.PasilleroViewModel
import org.koin.androidx.viewmodel.dsl.viewModel
import org.koin.dsl.module

val viewModelModule  = module{
    // Login
    viewModel {
        LoginViewModel()
    }

    // Pasilleros
    viewModel {
        PasilleroViewModel()
    }

    // Pasilleros / Item Card
    viewModel {
        ItemCardViewModel()
    }

    // Ajustes
    viewModel {
        AjustesViewModel()
    }
}