package es.verdnatura.presentation.view.feature.articulo.fragment


import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import es.verdnatura.domain.GetItemCardUserCase
import es.verdnatura.presentation.base.BaseViewModel
import es.verdnatura.presentation.view.feature.articulo.model.ItemCardVO
import retrofit2.Call
import retrofit2.Callback
import retrofit2.Response

class ItemCardViewModel : BaseViewModel() {
    private val getItemCardUserCase:GetItemCardUserCase = GetItemCardUserCase()
    val version : String = "5.0.0";

    private val _itemcard by lazy { MutableLiveData<ItemCardVO>()  }
    val itemcard: LiveData<ItemCardVO>
        get() = _itemcard


    fun getItemCard(itemFk:String,warehouseFk:String,user:String,password:String) {
        getItemCardUserCase.getItemCard(user,password,itemFk,warehouseFk).enqueue(object :Callback<ItemCardVO>{
            override fun onFailure(call: Call<ItemCardVO>, t: Throwable) {
                _itemcard.value = ItemCardVO(isError = true,errorMessage = t.message!!)
            }

            override fun onResponse(call: Call<ItemCardVO>, response: Response<ItemCardVO>) {
                if (response.body() != null){
                    _itemcard.value = response.body()!!
                }else{
                    _itemcard.value = ItemCardVO(isError = true,errorMessage = "Error al llamar a vn.itemCard")
                }
            }

        })
    }
}
